'use strict';

var react = require('react');

/**
 * This hook allows for very easy focusing on an element through some other action on the page.
 */

var useSetFocus = function useSetFocus() {
  var htmlElementRef = react.useRef(null);

  var setFocus = function setFocus() {
    htmlElementRef.current && htmlElementRef.current.focus();
  };

  return [htmlElementRef, setFocus];
};

exports.twoPlusTwo = useSetFocus;
//# sourceMappingURL=index.js.map
