import { useRef } from 'react';

/**
 * This hook allows for very easy focusing on an element through some other action on the page.
 */

var useSetFocus = function useSetFocus() {
  var htmlElementRef = useRef(null);

  var setFocus = function setFocus() {
    htmlElementRef.current && htmlElementRef.current.focus();
  };

  return [htmlElementRef, setFocus];
};

export { useSetFocus as twoPlusTwo };
//# sourceMappingURL=index.mjs.map
