import { useRef } from 'react';

/**
 * This hook allows for very easy focusing on an element through some other action on the page.
 */

const useSetFocus = () => {
  const htmlElementRef = useRef(null);

  const setFocus = () => {
    htmlElementRef.current && htmlElementRef.current.focus();
  };

  return [htmlElementRef, setFocus];
};

export { useSetFocus as twoPlusTwo };
//# sourceMappingURL=index.modern.js.map
