(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react')) :
    typeof define === 'function' && define.amd ? define(['exports', 'react'], factory) :
    (global = global || self, factory(global.useSetFocus = {}, global.React));
}(this, (function (exports, react) { 'use strict';

    /**
     * This hook allows for very easy focusing on an element through some other action on the page.
     */

    var useSetFocus = function useSetFocus() {
      var htmlElementRef = react.useRef(null);

      var setFocus = function setFocus() {
        htmlElementRef.current && htmlElementRef.current.focus();
      };

      return [htmlElementRef, setFocus];
    };

    exports.twoPlusTwo = useSetFocus;

})));
//# sourceMappingURL=index.umd.js.map
